#ifndef XCNODE_H
#define XCNODE_H

#include "xasset.h"
#include "xcplane.h"

class XCNode : public XAsset
{
public:
    explicit XCNode();
    ~XCNode();

    void ParseData(XDataStream *aStream) override;
    void Clear() override;

private:
    XCPlane mPlane;
    QVector<qint16> mChildren;
};

#endif // XCNODE_H
